<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" >
<head>
    <meta charset="UTF-8">
    <title>Title</title>


</head>

<body>
<h2>Hello from index page.</h2>

<div th:switch="${users}" >
    <h4 th:case="null" > baza jest pusta</h4>
</div>


<table>

    <thead>
    <tr>
        <th> id:</th>
        <th> Imie:</th>
    </tr>
    </thead>

    <tbody>
    <tr th:each="u : ${users}" >
        <td th:text="${u.id}">
        </td>
        <td th:text="${u.name}">
        </td>
        <td><a th:href="@{deluser(id=${u.id})} "> Del user</a></td>
        <td><a th:href="@{editUser (id=${u.id})} "> Update user</a></td>
    </tr>



    </tbody>


</table>
I po tabeli userow.
<p><a th:href="@{signup}"  href="#">Add a new user</a></p>

</body>
</html>